- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Cgl-0.55.0/DyLP/src/Dylp/glpluf.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | LUF
struct | LUF_WA
## Defines
#define | luf_create dy_glp_luf_create
#define | luf_defrag_sva dy_glp_luf_defrag_sva
#define | luf_enlarge_row dy_glp_luf_enlarge_row
#define | luf_enlarge_col dy_glp_luf_enlarge_col
#define | luf_alloc_wa dy_glp_luf_alloc_wa
#define | luf_free_wa dy_glp_luf_free_wa
#define | luf_decomp dy_glp_luf_decomp
#define | luf_f_solve dy_glp_luf_f_solve
#define | luf_v_solve dy_glp_luf_v_solve
#define | luf_solve dy_glp_luf_solve
#define | luf_delete dy_glp_luf_delete
## Typedefs
typedef LUF | LUF
typedef LUF_WA | LUF_WA
## Functions
LUF * | luf_create (int n, int sv_size)
void | luf_defrag_sva (LUF *luf)
int | luf_enlarge_row (LUF *luf, int i, int cap)
int | luf_enlarge_col (LUF *luf, int j, int cap)
LUF_WA * | luf_alloc_wa (LUF *luf)
void | luf_free_wa (LUF_WA *wa)
int | luf_decomp (LUF *luf, void *info, int(*col)(void *info, int j, int rn[], double aj[]), LUF_WA *wa)
void | luf_f_solve (LUF *luf, int tr, double x[])
void | luf_v_solve (LUF *luf, int tr, double x[])
void | luf_solve (LUF *luf, int tr, double x[])
void | luf_delete (LUF *luf)

## Define Documentation

#define luf_create dy_glp_luf_create

Definition at line 22 of file glpluf.h.

#define luf_defrag_sva dy_glp_luf_defrag_sva

Definition at line 23 of file glpluf.h.

#define luf_enlarge_row dy_glp_luf_enlarge_row

Definition at line 24 of file glpluf.h.

#define luf_enlarge_col dy_glp_luf_enlarge_col

Definition at line 25 of file glpluf.h.

#define luf_alloc_wa dy_glp_luf_alloc_wa

Definition at line 26 of file glpluf.h.

#define luf_free_wa dy_glp_luf_free_wa

Definition at line 27 of file glpluf.h.

#define luf_decomp dy_glp_luf_decomp

Definition at line 28 of file glpluf.h.

#define luf_f_solve dy_glp_luf_f_solve

Definition at line 29 of file glpluf.h.

#define luf_v_solve dy_glp_luf_v_solve

Definition at line 30 of file glpluf.h.

#define luf_solve dy_glp_luf_solve

Definition at line 31 of file glpluf.h.

#define luf_delete dy_glp_luf_delete

Definition at line 32 of file glpluf.h.

## Typedef Documentation

typedef struct LUF LUF

Definition at line 80 of file glpluf.h.

typedef struct LUF_WA LUF_WA

Definition at line 81 of file glpluf.h.

## Function Documentation

LUF* luf_create | ( | int | n,
|  | int | sv_size |
| ) |  |  |

void luf_defrag_sva | ( | LUF * | luf | ) |

int luf_enlarge_row | ( | LUF * | luf,
|  | int | i,
|  | int | cap |
| ) |  |  |

int luf_enlarge_col | ( | LUF * | luf,
|  | int | j,
|  | int | cap |
| ) |  |  |

LUF_WA* luf_alloc_wa | ( | LUF * | luf | ) |

void luf_free_wa | ( | LUF_WA * | wa | ) |

int luf_decomp | ( | LUF * | luf,
|  | void * | info,
|  | int(*)(void *info, int j, int rn[], double aj[]) | col,
|  | LUF_WA * | wa |
| ) |  |  |

void luf_f_solve | ( | LUF * | luf,
|  | int | tr,
|  | double | x[] |
| ) |  |  |

void luf_v_solve | ( | LUF * | luf,
|  | int | tr,
|  | double | x[] |
| ) |  |  |

void luf_solve | ( | LUF * | luf,
|  | int | tr,
|  | double | x[] |
| ) |  |  |

void luf_delete | ( | LUF * | luf | ) |